Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 07 Dec 2019, 20:40
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars )
troubles with libjpeg [SOLVED]
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [8 Posts]  
Author Message
sc0ttman


Joined: 16 Sep 2009
Posts: 2770
Location: UK

PostPosted: Sun 12 Feb 2012, 04:14    Post subject:  troubles with libjpeg [SOLVED]
Subject description: see 8th post
 

I have noticed that on my system, and others, programs seem to need two versions of libjpeg,
this seems to be the case when I have tried compiling stuff as well..

- Links 2.5 needed libjpeg-8d for 'graphics' mode to show all images.

# ldd ./links | sort | grep jpeg
libjpeg.so.7 => /usr/lib/libjpeg.so.7 (0xb7b02000)
libjpeg.so.8 => /usr/lib/libjpeg.so.8 (0xb7f08000)

- other versions of Links, compiled on other systems by others, also use 2 versions of libjpeg.

# ldd ./links | sort | grep jpeg
libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0xb7f00000)
libjpeg.so.7 => /usr/lib/libjpeg.so.7 (0xb7b1d000)

And I have also tried running my system with only libjpeg-8d,
replacing all other libjpeg versions with symlinks to version 8d,
then compiling jwm and a few other programs against libjpeg-8d,
but compatibility between version seems non-existent,
and the new JWM would not load up, as it required the old libjpeg too.

I should probably have tried compiling JWM on the libjpeg-8d only system,
then remastering and trying again... Not sure it would help though.

I would like to work this out, and ideally be able to reduce the version of libjpeg used,
because as I start to compile the latest XYZ, I'm seeing libjpeg8d is required,
and if installing this new programs and their required deps,
I will end up with libjpeg 6, 7 and 8 on my system,
which I guess is not a good thing, and usually avoided, in Puppy land.

- So, how many version of libjpeg do you have installed?
- Have you updated the main system libjpeg library?
- Or just added the updated libjpeg alongside your older versions?

_________________
Pkg, mdsh, Woofy, Akita, VLC-GTK, Search

Last edited by sc0ttman on Sat 18 Feb 2012, 20:22; edited 1 time in total
Back to top
View user's profile Send private message 
PANZERKOPF

Joined: 16 Dec 2009
Posts: 282
Location: Earth

PostPosted: Sun 12 Feb 2012, 12:32    Post subject: Re: troubles with libjpeg  

sc0ttman wrote:

# ldd ./links | sort | grep jpeg
libjpeg.so.7 => /usr/lib/libjpeg.so.7 (0xb7b02000)
libjpeg.so.8 => /usr/lib/libjpeg.so.8 (0xb7f08000)

Seems you have libtiff (used by Links) linked with one version of libjpeg and Links (itself)
linked with another version of libjpeg.
Keep one version of libjpeg, rebuild libtiff then rebuild Links again.

sc0ttman wrote:

- So, how many version of libjpeg do you have installed?
- Have you updated the main system libjpeg library?
- Or just added the updated libjpeg alongside your older versions?


I have installed only one version of libjpeg Smile

_________________
SUUM CUIQUE.
Back to top
View user's profile Send private message 
amigo

Joined: 02 Apr 2007
Posts: 2647

PostPosted: Sun 12 Feb 2012, 13:12    Post subject:  

That's what happens when you have programs which are compiled on different systems. In *this* case, you can safely link the one to the other, but that will not always work. The *real* solution though is to compile everything against the same version...
Back to top
View user's profile Send private message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2770
Location: UK

PostPosted: Wed 15 Feb 2012, 20:47    Post subject:  

Hmmm... I removed libjpeg-0.62 ... my system using only libjpeg-.0.0.7
As expected, this broke a few things that need libjpeg-0.62: feh, mtpaint, etc..

I then updated libtiff.. and re-compiled some stuff to test..
Actually I think the problem was in old libtiff .la or .a files in the devx..

I fixed the stuff in the devx.. Seemed to be fine..

I wanted to try get rid of everything that needs the older libjpeg,
which includes some stuff stolen from GuyDog: imlib2, feh

So I compiled imlib2-1.4.5 and giblib-1.2.4, and then feh-1.3.4, and feh-1.4

I can't get imlib2 to play nice with feh, but wbar has no problems...
I keep getting the same error with feh:

Code:
feh WARNING: /usr/share/backgrounds/Tux.jpg - No Imlib2 loader for that file format
feh - No loadable images specified.


Feh-1.3.4 has a configure script to compile with, the others don't..
If building feh-1.3.4, I can specifiy --with-imlib2= but I don't know which dir to point it at!
I tried various already, none worked!

Here's how I built most of it:

./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-shared --build=i386-pc-linux-gnu
make
new2dir make install

Any ideas would be great, cos I Googled around a lot,
and most people got past this by doing the obvious stuff,
like checking files installed to correct places, and so on...

Everything appears to be fine, but feh just won't work with jpegs!

What is the most logical thing to do? Compile the same versions that I had installed,
except compile on the system with the new, single libjpeg?

_________________
Pkg, mdsh, Woofy, Akita, VLC-GTK, Search
Back to top
View user's profile Send private message 
amigo

Joined: 02 Apr 2007
Posts: 2647

PostPosted: Thu 16 Feb 2012, 13:40    Post subject:  

Compile the same versions that I had installed,
except compile on the system with the new, single libjpeg?

That's the big secret!
Back to top
View user's profile Send private message 
PANZERKOPF

Joined: 16 Dec 2009
Posts: 282
Location: Earth

PostPosted: Thu 16 Feb 2012, 15:48    Post subject:  

sc0ttman wrote:

I can't get imlib2 to play nice with feh, but wbar has no problems...

Seems Imlib2 's jpeg loader is broken. Wbar has no problems because you are using
png or other non-jpeg images as icons so they are shown correctly. Did you try to use
jpeg images with Wbar?
I never used Wbar or Imlib so that is guess only.

_________________
SUUM CUIQUE.
Back to top
View user's profile Send private message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2770
Location: UK

PostPosted: Thu 16 Feb 2012, 18:22    Post subject:  

PANZERKOPF wrote:
sc0ttman wrote:

I can't get imlib2 to play nice with feh, but wbar has no problems...

Seems Imlib2 's jpeg loader is broken. Wbar has no problems because you are using
png or other non-jpeg images as icons so they are shown correctly. Did you try to use
jpeg images with Wbar?

Yes I added some jpeg icons to wbar, it carried on working fine...
Thanks for the tips and help, I'll see if I can sort this out..

_________________
Pkg, mdsh, Woofy, Akita, VLC-GTK, Search
Back to top
View user's profile Send private message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2770
Location: UK

PostPosted: Thu 16 Feb 2012, 18:24    Post subject:  

amigo wrote:
Compile the same versions that I had installed,
except compile on the system with the new, single libjpeg?

That's the big secret!

But what if I wanna update either imlib2 or feh in th future?!
I would like a newer feh at some point.. But it's not essential...

Just in case anyone cares, this is more or less SOLVED.

I did indeed need to re-compile the same version of imlib2, feh, etc that I already had installed, but only AFTER updating recompiling libjpeg-0.0.7 and replacing libjpeg-0.62 with a symlink to the newer version.

BTW, part of the problem here seemed to be that the changes made between the available versions of giblib and feh are quite big.. And there are a lot of versions not easy to find!

_________________
Pkg, mdsh, Woofy, Akita, VLC-GTK, Search
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [8 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0441s ][ Queries: 11 (0.0066s) ][ GZIP on ]